package org.example.Entity.Control.Fields;


import org.example.Entity.Control.Fields.Field;
import org.example.Utils.DataTableUtil;

import java.util.Map;

/**
 * ==============================================================================
 * 功能描述：Checkbox 组件
 * ==============================================================================
 */
public class Checkbox extends Field {

    public Checkbox(Map<String, Object> row) {
        super(row);
        this.defaultXtype = "checkbox";
    }

    private Boolean _value;

    @Override
    public Object getValue() {
        if (_value == null) {
            return DataTableUtil.toBoolean(getDefaultval(), false);
        }
        return _value;
    }

    @Override
    public void setValue(Object value) {
        this._value = DataTableUtil.toBoolean(value, false);
    }
}
